
QGIS Application - Bug report #15552

Unable to build/load GRASS Tools on osx

2016-09-09 06:30 PM - epifanio -

Status: Closed

Priority: Normal

Assignee:

Category: GRASS

Affected QGIS version:master Regression?: No

Operating System: OSX Easy fix?: No

Pull Request or Patch supplied:No Resolution: wontfix

Crashes QGIS or corrupts data:No Copied to github as #: 23475

Description

I’m struggling in having the grass tool [ https://docs.qgis.org/2.6/en/docs/user_manual/grass_integration/grass_integration.html ] 

installed/enabled on a mac osx.

I’m using both QGIS and GRASS built from source, from the relative latest GIT and SVN repository.

QGIS is built with Debug symbols ON, when i start the  app I can see the processing toolbox is “grass aware” and I can run grass tools

from its interface.

However, the grass tools are not available in the plug-in menu. I can’t figure out how to have the tools (I need direct accees to grass

mapset etc .. ) enabled.

If useful for debug, this is the full build log:  https://gist.github.com/c41caa9f5adef199c9d9004978dbf552

while this is the make install log: https://gist.github.com/ae2918fc0a665bb7cb01970d7f65846e

History

#1 - 2016-09-12 08:12 AM - Radim Blazek

Look into the QGIS "Log messages panel > Plugins", if you find  something similar to

Failed to load libgrassplugin7.so (Reason: Cannot load library libgrassplugin7.so: (libgrass_gis.so: cannot open shared object file: No such file or

directory))

then a path to GRASS libs is probably missing in DYLD_LIBRARY_PATH. In such case add the path to the directory where GRASS libs are located to

DYLD_LIBRARY_PATH.

#2 - 2017-05-01 01:03 AM - Giovanni Manghi

- Easy fix? set to No

- Regression? set to No

#3 - 2018-02-26 08:26 PM - Radim Blazek

- Resolution set to wontfix

- Status changed from Open to Closed

- Description updated

There was no more feedback and I believe that it was local problem with missing paths to GRASS libs.

Reopen if necessary with more feedback.
